/////////////////////////////////////////////////////////////////////////////
// Plugin dailog header

#if !defined(PluginDialogHeader)
#define PluginDialogHeader

#if _MSC_VER > 1000
#pragma once
#endif

/////////////////////////////////////////////////////////////////////////////
// QCKPLUGIN API
// Include plugin header and QCKPLUGIN API header

#include "PluginTemplate.h"
#include "qckplugin.h"

/////////////////////////////////////////////////////////////////////////////
// QCKPLUGIN API
// The plugin dialog is a subclass of IQckEventNotify to recieve plugin
// event notifications

class CPluginDlg : public CDialog, public IQckEventNotify
{

// Plugin dialog members

public:

// Initialization

  IQckSrvcMgr* m_Manager;             // Service manager
  void* m_Handle;                     // Plugin handle

// Services

  IQckGraphicsSrvc* m_GraphicsSrvc;   // Graphics service

// Event notification

  void OnShowDialog(const bool show); // Show dialog notification

/////////////////////////////////////////////////////////////////////////////
// AppWizard generated content

// Construction
public:
	CPluginDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPluginDlg)
	enum { IDD = IDD_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPluginDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPluginDlg)
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif

/////////////////////////////////////////////////////////////////////////////
